Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Locator_Options.h File Reference

Definition of the Options class for the Implementation Repository. More...

`#include "Repository_Configuration.h"`
`#include "tao/ORB.h"`
`#include "ace/Singleton.h"`
`#include "ace/SString.h"`
`#include "ace/Auto_Ptr.h"`

Include dependency graph for Locator_Options.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | Options
| Maintains the global options. More...
## Typedefs
typedef ACE_Singleton< Options, ACE_Null_Mutex > | OPTIONS

## Detailed Description

Definition of the Options class for the Implementation Repository.

Id:
  Locator_Options.h,v 1.2 2003/11/12 22:58:08 michel_j Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Singleton<Options, ACE_Null_Mutex> OPTIONS